
The Hammer - Bug #99

Search highlight isn't always highlighted

02/22/2018 03:41 PM - Wil van Antwerpen

Status: Closed Start date: 02/22/2018

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

When searching, sometimes the search term, when found, isn't highlighted, other times it is.

To reproduce, goto a line that contains a search term, and search for that term and on that very line, it won't highlight the found

term....but I've had it happen in other cases as well.

shows 10.0.16299.248

History

#1 - 02/26/2018 04:23 PM - Wil van Antwerpen

Turns out that this is due to how it currently works.

The user expected that "Start at first line" would remain checked on subsequent invocations of the Find dialog.

Quite frankly that makes sense.

#2 - 04/05/2018 09:24 PM - Wil van Antwerpen

- Status changed from New to Resolved

Only "Start at first line" was not remembered as it was a feature not native to the scintilla search function.

We now added to save this checkbox setting too.

#3 - 04/06/2018 02:36 PM - Wil van Antwerpen

- Status changed from Resolved to Closed
